#ifndef _DEF_LEVEL
#define _DEF_LEVEL

#include <gint/defs/types.h>

#include "camera.h"

typedef struct Level
{
	uint width;  /* in tiles */
	uint height; /* in tiles */
	const uint8_t **layers; /* points toward the level content */
	uint layers_count;
} Level;

void level_step(const Level *level);
void level_draw(const Level *level, Camera *camera);
void layer_draw(const Level *level, Camera *camera, uint layer_id);

#endif /* _DEF_LEVEL */
